Bug 304861 - Review Request: eclipse-demos - Eclipse screencasts
Summary: Review Request: eclipse-demos - Eclipse screencasts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-25 12:08 UTC by Andrew Overholt
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-09 22:03:11 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Overholt 2007-09-25 12:08:45 UTC
Spec URL: http://overholt.ca/eclipse-demos.spec
SRPM URL: http://overholt.ca/eclipse-demos-0.0.1-1.fc7.src.rpm
Description: Eclipse demonstration screencasts

Comment 1 Jason Tibbitts 2007-09-25 19:57:18 UTC
This is pretty much trivial.  rpmlint says:

eclipse-demos.noarch: W: invalid-license Open Publication License

According to http://fedoraproject.org/wiki/Licensing, the License: tag should be
"Open Publication".  This license is also only acceptable without the optional
clauses in the sixth section.  Actually I can't tell if anything in the sixth
section of the license applies at all, because those options are supposed to be
used in the incorporation by reference, and there's nothing to attach such a
reference to unless they're in the oggs somehow.  I'm going to assume not.

Also, you should %doc the license file.

The only other question I have is regarding the totem requirement.  I can view
this without using totem (from a KDE system, say, or one with mplayer), and I
could just serve the files via the web or something.  Frankly I'd just drop it.

* source files match upstream:
   0a3a42da854f4f20c93baa80658ade0c08b9ae66edfc174343f9ba41f9605655  
   eclipse-demos-0.0.1.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license (but should use approved short form)
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (x86_64, development).
* package installs properly
X rpmlint has a valid complaint.
? final provides and requires; totem probably shouldn't be there.
  eclipse-demos-0.0.1-1.fc8.noarch.rpm
   eclipse-demos = 0.0.1-1.fc8
  =
?  totem
* %check is not present; a test suite isn't really applicable.  I watched a 
  couple of the videos and they look OK to me.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Andrew Overholt 2007-09-25 20:17:17 UTC
Thanks for the review.  I've updated the License field and dropped the totem
requirement.  New spec and SRPM:

http://overholt.ca/eclipse-demos.spec
http://overholt.ca/eclipse-demos-0.0.1-2.fc7.src.rpm

Comment 3 Jason Tibbitts 2007-09-25 21:06:39 UTC
Looks great; rpmlint is quiet and the issues I had are fixed.

APPROVED

Comment 4 Andrew Overholt 2007-09-25 21:13:42 UTC
New Package CVS Request
=======================
Package Name: eclipse-demos
Short Description: Eclipse screencasts
Owners: overholt@redhat.com,jjohnstn@redhat.com
Branches: 
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2007-09-25 23:17:10 UTC
cvs done.

Comment 6 Jason Tibbitts 2007-10-09 21:51:15 UTC
Can we close this?  It looks like the package has been built for F8 and pushed
to the repos.

Comment 7 Andrew Overholt 2007-10-09 22:03:11 UTC
Oops, sorry, forgot to close.


Note You need to log in before you can comment on or make changes to this bug.